curl --request PUT \
--url https://qa-lynx.nayax.com/operational/v1/cards/{CardId}/cardGroups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"CardGroupEnabledBit": true,
"GroupName": "<string>",
"CardGroupId": 123,
"GroupDailyLimit": 123,
"UpdatedBy": 123,
"LastUpdated": "2023-11-07T05:31:56Z"
}
]
'import requests
url = "https://qa-lynx.nayax.com/operational/v1/cards/{CardId}/cardGroups"
payload = [
{
"CardGroupEnabledBit": True,
"GroupName": "<string>",
"CardGroupId": 123,
"GroupDailyLimit": 123,
"UpdatedBy": 123,
"LastUpdated": "2023-11-07T05:31:56Z"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
CardGroupEnabledBit: true,
GroupName: '<string>',
CardGroupId: 123,
GroupDailyLimit: 123,
UpdatedBy: 123,
LastUpdated: '2023-11-07T05:31:56Z'
}
])
};
fetch('https://qa-lynx.nayax.com/operational/v1/cards/{CardId}/cardGroups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"CardGroupEnabledBit": true,
"GroupName": "<string>",
"CardGroupId": 123,
"GroupDailyLimit": 123,
"UpdatedBy": 123,
"LastUpdated": "2023-11-07T05:31:56Z"
}
]Update Card Groups
Updates the group details associated with a card, identified by the card’s unique identifier.
Authorizations
Enter your Bearer token. It's required to authenticate API requests.
Path Parameters
The unique identifier of the card whose groups are to be updated.
Body
The card group details to be updated.
Indicates whether the card group is enabled.
The name of the card group.
The unique identifier of the card group.
The daily limit for the card group.
The identifier of the user who last updated the group.
The date and time when the group was last updated.
Response
Card groups updated successfully.
Indicates whether the card group is enabled.
The name of the card group.
The unique identifier of the card group.
The daily limit for the card group.
The identifier of the user who last updated the group.
The date and time when the group was last updated.
Was this page helpful?